package com.hzs.common.core.enums;

import com.hzs.common.core.constant.EnumsPrefixConstants;
import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * @Description: 数据报表类型
 * @Author: zhangjing
 * @Time: 2023/11/4 14:11
 * @Classname: ESheetType
 * @PackageName: com.hzs.common.core.enums
 */
@AllArgsConstructor
@Getter
public enum ESheetType {

    /**
     * 类型1（综合）
     */
    SHEET_TYPE1(1, "类型1", 0,EnumsPrefixConstants.SHEET_TYPE + "1"),

    /**
     * 类型2
     */
    SHEET_TYPE2(2, "类型2", 0,EnumsPrefixConstants.SHEET_TYPE + "2"),
    /**
     * 类型3
     */
    SHEET_TYPE3(3, "类型3", 0,EnumsPrefixConstants.SHEET_TYPE + "3"),
    /**
     * 类型4
     */
    SHEET_TYPE4(4, "类型4", 0,EnumsPrefixConstants.SHEET_TYPE + "4"),
    /**
     * 类型5
     */
    SHEET_TYPE5(5, "类型5", 0,EnumsPrefixConstants.SHEET_TYPE + "5"),

    ;

    /**
     * 实际值
     */
    private final int value;
    /**
     * 显示标签
     */
    private final String label;
    /**
     * 是否启用（0=是,1=否） -- 来源EYesNo
     */
    private final int enable;
    /**
     * 国际化翻译key值
     */
    private final String key;


    /**
     * 根据值获取枚举
     *
     * @param value
     * @return
     */
    public static ESheetType getEnumByValue(int value) {
        for (ESheetType enums : ESheetType.values()) {
            if (enums.getValue() == value) {
                return enums;
            }
        }
        return null;
    }
}
